All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.tableview
Class BaseHeader

    com.sas.servlet.tbeans.tableview.BaseHeader

Direct Known Subclasses:
  BaseColumnHeader, BaseRowHeader

    public abstract class BaseHeader

A template to use for column and row headers for a TableView.

Constructor Summary
`BaseHeader()` Constructs a header with a null TableView.
`BaseHeader(BaseTableView table)` Constructs a header which is initialized with a TableView.

Method Summary
`abstract TableCellRenderer` | `createDefaultRenderer()` Returns an instance of the default renderer to be used as the header renderer.
`TableCellRenderer` | `getDefaultRenderer()` Returns the default renderer to be used as the header renderer.
`java.util.Locale` | `getLocale()` Gets the locale.
`BaseTableView` | `getTable()` Returns the TableView associated with this header.
`void` | `setDefaultRenderer(TableCellRenderer defaultRenderer)` Sets the default renderer to be used as the header renderer.
`void` | `setLocale(java.util.Locale loc)` Sets the locale.
`void` | `setTable(BaseTableView table)` Sets the TableView associated with this header.

Constructor Detail

### BaseHeader

    public BaseHeader()

  Constructs a header with a null TableView.

### BaseHeader

    public BaseHeader(BaseTableView table)

  Constructs a header which is initialized with a TableView.

  Parameters:
    `table` - the new TableView

Method Detail

### setTable

    public void setTable(BaseTableView table)

  Sets the TableView associated with this header.

  Parameters:
    `table` - the new TableView

### getTable

    public BaseTableView getTable()

  Returns the TableView associated with this header.

  Returns:
    the TableView property

### setDefaultRenderer

    public void setDefaultRenderer(TableCellRenderer defaultRenderer)

  Sets the default renderer to be used as the header renderer.

  Parameters:
    `defaultRenderer` - the default renderer

### getDefaultRenderer

    public TableCellRenderer getDefaultRenderer()

  Returns the default renderer to be used as the header renderer.

  Returns:
    the default renderer

### createDefaultRenderer

    public abstract TableCellRenderer createDefaultRenderer()

  Returns an instance of the default renderer to be used as the header renderer.

  Returns:
    default renderer to be used as the headerer renderer

### setLocale

    public void setLocale(java.util.Locale loc)

  Sets the locale.

  Parameters:
    `loc` - an instance of java.util.Locale

### getLocale

    public java.util.Locale getLocale()

  Gets the locale.

  Returns:
    an instance of java.util.Locale

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.